POST api/NTPatientScheduling/PostEncounterStaff
Request Information
URI Parameters
None.
Body Parameters
EncounterStaffDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| EncounterLogId | integer |
None. |
|
| StaffId | integer |
None. |
|
| SubServiceId | integer |
None. |
|
| StaffType | integer |
None. |
|
| EncounterId | integer |
None. |
|
| EntityId | integer |
None. |
|
| EntityType | integer |
None. |
|
| LocalLogDateTime | date |
None. |
|
| StaffFirstName | string |
None. |
|
| StaffLastName | string |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"EncounterLogId": 2,
"StaffId": 3,
"SubServiceId": 4,
"StaffType": 5,
"EncounterId": 6,
"EntityId": 7,
"EntityType": 8,
"LocalLogDateTime": "2026-08-04T14:29:30.8375793-07:00",
"StaffFirstName": "sample string 10",
"StaffLastName": "sample string 11",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:30.8375793-07:00",
"DateUpdated": "2026-08-04T14:29:30.8375793-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfEncounterStaffDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EncounterStaffDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"EncounterLogId": 2,
"StaffId": 3,
"SubServiceId": 4,
"StaffType": 5,
"EncounterId": 6,
"EntityId": 7,
"EntityType": 8,
"LocalLogDateTime": "2026-08-04T14:29:30.8532141-07:00",
"StaffFirstName": "sample string 10",
"StaffLastName": "sample string 11",
"ValidFlag": true,
"DateCreated": "2026-08-04T14:29:30.8532141-07:00",
"DateUpdated": "2026-08-04T14:29:30.8532141-07:00",
"UserIDCreated": 15,
"UserIDUpdated": 16,
"CompanyCode": "sample string 17",
"IsExcludeDiscount": true
},
"totalCount": 3
}